## massxpert 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "2.0.3")
+SET (VERSION "2.1.1")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.
@@ -45,13 +45,19 @@
   SET (MASSXPERT_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/plugins)
   SET (MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/locales)
   SET (MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc)
-  SET (MASSXPERT_USERMAN_DIR ${MASSXPERT_DOC_DIR}/usermanual)
 ENDIF (WIN32)
 
 IF (UNIX AND NOT APPLE)
   SET (MASSXPERT_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
   SET (MASSXPERT_DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert)
-  SET (MASSXPERT_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib/massxpert/plugins)
+
+  # Plugin-specific stuff, some distros set CMAKE_INSTALL_LIBDIR to
+  # /usr/lib64 (Fedora64, for example)
+  IF (NOT CMAKE_INSTALL_LIBDIR)
+    SET (CMAKE_INSTALL_LIBDIR ${CMAKE_INSTALL_PREFIX}/lib)
+  ENDIF (NOT CMAKE_INSTALL_LIBDIR)
+  SET (MASSXPERT_PLUGIN_DIR ${CMAKE_INSTALL_LIBDIR}/massxpert/plugins)
+
   SET (MASSXPERT_LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/share/massxpert/locales)
   SET (MASSXPERT_DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/massxpert)
   SET (MASSXPERT_USERMAN_DIR ${MASSXPERT_DOC_DIR}/usermanual)
@@ -64,7 +70,6 @@
   SET (MASSXPERT_PLUGIN_DIR ${BUNDLE_DIR}/Contents/Plugins)
   SET (MASSXPERT_LOCALE_DIR ${BUNDLE_DIR}/Contents/Locales)
   SET (MASSXPERT_DOC_DIR ${BUNDLE_DIR}/Contents/Doc)
-  SET (MASSXPERT_USERMAN_DIR ${MASSXPERT_DOC_DIR}/UserManual)
 ENDIF (APPLE)
 
 
@@ -82,17 +87,23 @@
 # Note that if BUILD_ALL = 1 then all of the BUILD_PROGRAM, BUILD_DATA or
 # BUILD_USERMANUAL are defined to 1 and everything is built.
 
-IF (${BUILD_ALL})
+IF (BUILD_ALL)
   SET (BUILD_PROGRAM 1)
   SET (BUILD_DATA 1)
   SET (BUILD_USERMANUAL 1)
-ENDIF (${BUILD_ALL})
-
-IF (${BUILD_RESET})
+ENDIF (BUILD_ALL)
+
+IF (BUILD_RESET)
   SET (BUILD_PROGRAM 0)
   SET (BUILD_DATA 0)
   SET (BUILD_USERMANUAL 0)
-ENDIF (${BUILD_RESET})
+ENDIF (BUILD_RESET)
+
+IF (NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)
+  SET (BUILD_PROGRAM 1)
+  SET (BUILD_DATA 1)
+  SET (BUILD_USERMANUAL 0)
+ENDIF (NOT BUILD_PROGRAM AND NOT BUILD_DATA AND NOT BUILD_USERMANUAL)
 
 
 #############################################################
@@ -100,9 +111,6 @@
 # BUILD OF THE PROGRAM
 
 IF (${BUILD_PROGRAM})
-  
-  MESSAGE (STATUS "BUILD_PROGRAM:" ${BUILD_PROGRAM})
-
 
   ################
   # Search for Qt4
@@ -160,8 +168,6 @@
 
 IF (${BUILD_DATA})
   
-  MESSAGE (STATUS "BUILD_DATA:" ${BUILD_DATA})
-  
   ###############
   # install stuff
   
@@ -187,8 +193,6 @@
 # BUILD OF THE USER MANUAL
 
 IF (${BUILD_USERMANUAL})
-  
-  MESSAGE (STATUS "BUILD_USERMANUAL:" ${BUILD_USERMANUAL})
   
   # Below : no more in use since started using UseLATEX.cmake
   # Use the configured VERSION to create the 
@@ -223,6 +227,10 @@
 # summary
 MESSAGE ("")
 MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~ SUMMARY ~~~~~~~~~~~~~~~~~~~~~~~~")
+MESSAGE (STATUS "BUILD_PROGRAM:" ${BUILD_PROGRAM})
+MESSAGE (STATUS "BUILD_DATA:" ${BUILD_DATA})
+MESSAGE (STATUS "BUILD_USERMANUAL:" ${BUILD_USERMANUAL})
+MESSAGE ("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~")
 MESSAGE (STATUS "TARGET: " ${TARGET}  --  "VERSION: " ${VERSION})
 MESSAGE (STATUS "CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX})
 MESSAGE (STATUS "MASSXPERT_BIN_DIR: " ${MASSXPERT_BIN_DIR})
