=== data/CMakeLists.txt ===
INSTALL (DIRECTORY pol-chem-defs pol-seqs 
  DESTINATION ${MASSXPERT_DATA_DIR})

INSTALL (FILES chem_pad.conf codon-to-protein-1.dic 
  codon-to-protein-3.dic protein-1-to-3.dic protein-3-to-1.dic
  DESTINATION ${MASSXPERT_DATA_DIR})
