=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
   application.cpp
   atomDefDlg.cpp
   calculatorChemPadDlg.cpp
+  calculatorChemPadGroupBox.cpp
   calculatorRecorderDlg.cpp
   calculatorWnd.cpp
   chemPadButton.cpp
@@ -83,6 +84,7 @@
   application.hpp
   atomDefDlg.hpp
   calculatorChemPadDlg.hpp
+  calculatorChemPadGroupBox.hpp
   calculatorRecorderDlg.hpp
   calculatorWnd.hpp
   chemPadButton.hpp
