## massxpert 2.3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "2.1.1")
+SET (VERSION "2.3.6")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.
@@ -22,12 +22,22 @@
 SET (CMAKE_VERBOSE_MAKEFILE ON)
 
 #############################################################
-# Enable warnings and treat them as errors
-SET (PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall -Werror.")
-
-IF (PEDANTIC)
-  ADD_DEFINITIONS (-Wall -Werror)
-ENDIF (PEDANTIC)
+# Enable warnings and treat them as errors, on GNU/Linux only
+IF (UNIX)
+  SET (PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall -Werror.")
+  
+  IF (PEDANTIC)
+    ADD_DEFINITIONS (-Wall -Werror)
+  ENDIF (PEDANTIC)
+ENDIF (UNIX)
+
+IF (WIN32)
+  SET (PEDANTIC TRUE CACHE BOOL "Should we compile with -Wall.")
+  
+  IF (PEDANTIC)
+    ADD_DEFINITIONS (-Wall)
+  ENDIF (PEDANTIC)
+ENDIF (WIN32)
 
 #############################################################
 #############################################################
@@ -156,7 +166,7 @@
 
   #################
   # process subdirs
-  SUBDIRS (lib gui plugins-src)
+  SUBDIRS (lib gui plugins-src i18n)
 
 
 ENDIF (${BUILD_PROGRAM})
