=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
   modif.cpp
   modifSpec.cpp
   monomer.cpp
+  monomerDictionary.cpp
   monomerSpec.cpp
   oligomer.cpp
   oligomerList.cpp
