=== debian/changelog ===
massxpert (2.3.6-1squeeze1) testing-proposed-updates; urgency=low

  * Fix (Closes: #611142)for the crash due to clicking on the left of the
    first vignette in the sequence editor.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 30 Jan 2011 20:35:32 +0100

massxpert (2.3.6-1) unstable; urgency=low

  * Upstream release:

    - Add a warning when the user is trying a polymer cleavage on a region
    not encompassing all the cross-linked monomers;

    - Fix a linker flag for the MacOSX PPC build;
    
    - Fix a GUI bug in the sequence editor window
    (gui/monomerCodeEvaluator.cpp).
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 10 May 2010 20:16:34 +0200

massxpert (2.3.5-1) unstable; urgency=low

  * Upstream release:
    
    - Add feature to compute the mass differences between any two monomers
    in the polymer chemistry definition;
    
    - Update the user manual to document the new feature.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 29 Apr 2010 15:13:50 +0200

massxpert (2.3.0-1) unstable; urgency=low

  * Upstream release: 
    
    - Add feature to allow cleaving polymer sequences only in the
    currently selected region of the sequence;
    
    - Improvements in the GUI of the cleavage dialog window;
    
    - Fix one bug in the constructor of the CalcOptions object, which
    failed to correctly initialize the CoordinateList member data;
    
    - Update the documentation (user manual) to describe the new cleavage
    feature.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 27 Apr 2010 14:20:25 +0200

massxpert (2.2.0-1) unstable; urgency=low

  * Upstream release:
  
    - Fix bug with polymer sequence not saving a modified name in the
    sequence editor window;
  
    - Implemented a protein sequence importer for PDB cristallographic
    data;
    
    - Update the french translation;
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 20 Apr 2010 22:37:24 +0200

massxpert (2.1.1-1) unstable; urgency=low

  * Upstream release:
    - Fix programming error: use of an uninitialised variable.
  
  * debian/rules: remove the 'dh_desktop -a' call.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 13 Jan 2010 20:49:30 +0100

massxpert (2.1.0-1) unstable; urgency=low

  * Upstream release:
    
    - Show the current selection coordinates in the sequence editor window;
    
    - Fixed nasty bug due to reusing freed memory. Interestingly, that bug
    only showed up on MOSX;
    
    - Code cleanup (amongs which a number of C-style casts were moved to
      C++-reinterpret_cast's;
      
    - Fix memory leaks;
  
    - Fix programming style glitches.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 22 Dec 2009 15:44:58 +0100

massxpert (2.0.9-1) unstable; urgency=low

  * Upstream release:
    
    - Fixed a bug causing a crash in corner polymer cleavage cases.

  * Switched to source format 3.0 (quilt);
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 26 Nov 2009 20:51:48 +0100

massxpert (2.0.8-1) unstable; urgency=low

  * New upstream release:
  
    - data : fix dna polymer chemistry definition to include
    phosphorothioates;
  
    - Added feature to regularly recall to the user to cite massXpert in
    the About dialog window;
    
    - data: ix monomer definition for uracile;
    
    - New version of the massxpert.spec taken from Thomas Spura
    <tomspur@fedoraproject.org>
    
    - data: added deuterium to atom definitions;
    
    - Enable installing the plugins in a specific directory (to help with
    distributions willing to put shared binaries in /usr/lib64);
    
    - XpertMiner : fix potentially massive memory leaks. Thanks cppcheck;
  
    - Code documentation and cleanup;
    
    - XpertCalc: formulas that were added to the memory of the calculator
    can now be removed;
    
    - XpertCalc : implemented per polymer chemistry definition handling of
    window geometry settings;
    
    - data: mprove fragmentation definitions for dna;
    
    - Fix bug due to not really checking the formula syntax while it was
    reported as validated;
    
    - Formulas now accept a double-quote-enclosed title and spaces.
    
  * debian/copyright: add blurb about location of the GPL-3 license on
    Debian systems.
  
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 21 Nov 2009 20:04:21 +0100

massxpert (2.0.7-1) unstable; urgency=low

  * New upstream release:
  
  * Fix problem with version numbering in the previous release;
  
  * Fix absence of the corresponding .orig.tar.gz (made erroneously a
    native package).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 05 Oct 2009 22:54:42 +0200
 
  

massxpert (2.0.6.-1) unstable; urgency=low
  
  * Upstream release:
  
    - Fixes to nroff formatting of the man pages (thanks to Daniel Leidert
    for suggestions);

    - XpertCalc: added possibility to insert formulas in the formula line
    edit by Ctrl-clicking buttons in the chemical keypad;
  
    - XpertCalc: added possibility to surround formulas with spaces for
    much better readability in case of complex structures. This is
    performed by Shit-Ctrl-cliking on the chemical pad buttons;

    - XpertCalc: automatically seed m/z calculation dialog window with
    masses from the XpertCalc main window;
    
    - XpertEdit: bug fix in the sequence editor's feedback to the user
    upon entering a bad monomer code character. When a new valid character
    is entered this old error message is removed;
  
    - XpertCalc: added lots of useful buttons to the dna chemical pad
    configuration file;
    
    - Added bibliographical reference to the massXpert paper in
    _Bioinformatics_ to the man pages;
    
    - XpertCalc: added possibility to store formula in a drop-down list so
    as to be able to recall them in ulterior calculations;
    
    - XpertCalc: implemented new feature by which it is possible to set a

