=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -73,6 +73,7 @@
   sequenceEditorGraphicsViewKeyboardHandling.cpp
   sequenceEditorGraphicsViewKeySequenceHandling.cpp
   sequenceEditorWnd.cpp
+  sequenceImportDlg.cpp
   sequencePurificationDlg.cpp
   sequenceSelection.cpp
 )
@@ -131,6 +132,7 @@
   sequenceEditorFindDlg.hpp
   sequenceEditorGraphicsView.hpp
   sequenceEditorWnd.hpp
+  sequenceImportDlg.hpp
   sequencePurificationDlg.hpp
   )
 
@@ -165,6 +167,7 @@
   ui/polymerModificationDlg.ui
   ui/sequenceEditorFindDlg.ui
   ui/sequenceEditorWnd.ui
+  ui/sequenceImportDlg.ui
   ui/sequencePurificationDlg.ui
 )
 
@@ -270,7 +273,7 @@
 
 # Make sure all the symbols from libmasslib.a are in the executable binary!
 IF (APPLE)
-  SET(MASSLIB -Wl,-all_load ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-noall_load)
+  SET(MASSLIB -Wl,-all_load ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-noall_load -Wl,-framework,CoreFoundation)
 ELSE (APPLE)
   SET(MASSLIB -Wl,-whole-archive ${massxpert_BINARY_DIR}/lib/libmasslib.a -Wl,-no-whole-archive)
 ENDIF (APPLE)
@@ -283,11 +286,6 @@
   ${MASSLIB}
   )
 
-SET (massxpert_TRANSLATIONS massxpert_fr.qm)
-
-INSTALL (FILES ${massxpert_TRANSLATIONS} 
-  DESTINATION ${MASSXPERT_LOCALE_DIR})
-
 IF (APPLE)
   # Copy the massXpert.icns icon file in the bundle
   INSTALL (FILES images/massXpert.icns
