=== debian/changelog ===
massxpert (2.4.0-1ubuntu1) natty; urgency=low

  * fix-ftbfs-gcc4.5.patch: fix FTBFS with gcc4.5 because of invalid conversion
    (LP: #756209). Patch retroported from 2.4.1.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 24 Apr 2011 12:20:55 +0200

massxpert (2.4.0-1) unstable; urgency=low

  * Upstream release:
  
    - Monoisotopic mass is now the mass of the isotope of highest
    abundance and not of lowest mass. This won't change anything for
    biopolymers, as all the chemical elements used there have their
    lightest isotope of highest abundance;

    - Update the french translation;
    
    - Add two peptide example files.
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 10 Dec 2010 11:16:30 +0100
