## massxpert 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "2.4.0")
+SET (VERSION "3.0.0")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.
@@ -122,6 +122,10 @@
 
 IF (${BUILD_PROGRAM})
 
+  IF (CMAKE_BUILD_TYPE STREQUAL "debug")
+    ADD_DEFINITIONS (-g -O2)
+  ENDIF ()
+  
   ################
   # Search for Qt4
   SET (QT_USE_QTXML TRUE)
