=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,10 @@
   calculatorWnd.cpp
   chemPadButton.cpp
   cleavageDlg.cpp
-  cleaveOligomerTreeView.cpp
-  cleaveOligomerTreeViewItem.cpp
-  cleaveOligomerTreeViewMimeData.cpp
-  cleaveOligomerTreeViewModel.cpp
-  cleaveOligomerTreeViewSortProxyModel.cpp
+  cleaveOligomerTableView.cpp
+  cleaveOligomerTableViewMimeData.cpp
+  cleaveOligomerTableViewModel.cpp
+  cleaveOligomerTableViewSortProxyModel.cpp
   cleaveSpecDefDlg.cpp
   compositionsDlg.cpp
   compositionTreeView.cpp
@@ -28,21 +27,19 @@
   crossLinkerDefDlg.cpp
   decimalPlacesOptionsDlg.cpp
   fragmentationDlg.cpp
-  fragmentOligomerTreeView.cpp
-  fragmentOligomerTreeViewItem.cpp
-  fragmentOligomerTreeViewMimeData.cpp
-  fragmentOligomerTreeViewModel.cpp
-  fragmentOligomerTreeViewSortProxyModel.cpp
+  fragmentOligomerTableView.cpp
+  fragmentOligomerTableViewMimeData.cpp
+  fragmentOligomerTableViewModel.cpp
+  fragmentOligomerTableViewSortProxyModel.cpp
   fragSpecDefDlg.cpp
   isotopicPatternCalculationDlg.cpp
   main.cpp
   mainWindow.cpp
   massSearchDlg.cpp
-  massSearchOligomerTreeView.cpp
-  massSearchOligomerTreeViewItem.cpp
-  massSearchOligomerTreeViewMimeData.cpp 
-  massSearchOligomerTreeViewModel.cpp
-  massSearchOligomerTreeViewSortProxyModel.cpp
+  massSearchOligomerTableView.cpp
+  massSearchOligomerTableViewMimeData.cpp 
+  massSearchOligomerTableViewModel.cpp
+  massSearchOligomerTableViewSortProxyModel.cpp
   modifDefDlg.cpp
   monomerCodeEvaluator.cpp
   monomerCrossLinkDlg.cpp
@@ -53,16 +50,14 @@
   mzCalculationTreeViewItem.cpp
   mzCalculationTreeViewModel.cpp
   mzCalculationTreeViewSortProxyModel.cpp
-  mzLabInputOligomerTreeView.cpp
-  mzLabInputOligomerTreeViewDlg.cpp
-  mzLabInputOligomerTreeViewItem.cpp
-  mzLabInputOligomerTreeViewModel.cpp
-  mzLabInputOligomerTreeViewSortProxyModel.cpp
-  mzLabOutputOligomerTreeView.cpp
-  mzLabOutputOligomerTreeViewDlg.cpp
-  mzLabOutputOligomerTreeViewItem.cpp
-  mzLabOutputOligomerTreeViewModel.cpp
-  mzLabOutputOligomerTreeViewSortProxyModel.cpp
+  mzLabInputOligomerTableView.cpp
+  mzLabInputOligomerTableViewDlg.cpp
+  mzLabInputOligomerTableViewModel.cpp
+  mzLabInputOligomerTableViewSortProxyModel.cpp
+  mzLabOutputOligomerTableView.cpp
+  mzLabOutputOligomerTableViewDlg.cpp
+  mzLabOutputOligomerTableViewModel.cpp
+  mzLabOutputOligomerTableViewSortProxyModel.cpp
   mzLabWnd.cpp
   pkaPhPiDlg.cpp
   polChemDefWnd.cpp
@@ -90,9 +85,9 @@
   calculatorWnd.hpp
   chemPadButton.hpp
   cleavageDlg.hpp
-  cleaveOligomerTreeView.hpp
-  cleaveOligomerTreeViewMimeData.hpp
-  cleaveOligomerTreeViewModel.hpp
+  cleaveOligomerTableView.hpp
+  cleaveOligomerTableViewMimeData.hpp
+  cleaveOligomerTableViewModel.hpp
   cleaveSpecDefDlg.hpp
   compositionsDlg.hpp
   compositionTreeView.hpp
@@ -101,16 +96,16 @@
   crossLinkerDefDlg.hpp
   decimalPlacesOptionsDlg.hpp
   fragmentationDlg.hpp
-  fragmentOligomerTreeView.hpp
-  fragmentOligomerTreeViewMimeData.hpp
-  fragmentOligomerTreeViewModel.hpp
+  fragmentOligomerTableView.hpp
+  fragmentOligomerTableViewMimeData.hpp
+  fragmentOligomerTableViewModel.hpp
   fragSpecDefDlg.hpp
   isotopicPatternCalculationDlg.hpp
   mainWindow.hpp
   massSearchDlg.hpp
-  massSearchOligomerTreeView.hpp
-  massSearchOligomerTreeViewMimeData.hpp
-  massSearchOligomerTreeViewModel.hpp
+  massSearchOligomerTableView.hpp
+  massSearchOligomerTableViewMimeData.hpp
+  massSearchOligomerTableViewModel.hpp
   modifDefDlg.hpp
   monomerCodeEvaluator.hpp
   monomerCrossLinkDlg.hpp
@@ -119,12 +114,12 @@
   mzCalculationDlg.hpp
   mzCalculationTreeView.hpp
   mzCalculationTreeViewModel.hpp
-  mzLabInputOligomerTreeView.hpp
-  mzLabInputOligomerTreeViewDlg.hpp
-  mzLabInputOligomerTreeViewModel.hpp
-  mzLabOutputOligomerTreeView.hpp
-  mzLabOutputOligomerTreeViewDlg.hpp
-  mzLabOutputOligomerTreeViewModel.hpp
+  mzLabInputOligomerTableView.hpp
+  mzLabInputOligomerTableViewDlg.hpp
+  mzLabInputOligomerTableViewModel.hpp
+  mzLabOutputOligomerTableView.hpp
+  mzLabOutputOligomerTableViewDlg.hpp
+  mzLabOutputOligomerTableViewModel.hpp
   mzLabWnd.hpp
   pkaPhPiDlg.hpp
   polChemDefWnd.hpp
@@ -159,8 +154,8 @@
   ui/monomerDefDlg.ui
   ui/monomerModificationDlg.ui
   ui/mzCalculationDlg.ui
-  ui/mzLabInputOligomerTreeViewDlg.ui
-  ui/mzLabOutputOligomerTreeViewDlg.ui
+  ui/mzLabInputOligomerTableViewDlg.ui
+  ui/mzLabOutputOligomerTableViewDlg.ui
   ui/mzLabWnd.ui
   ui/pkaPhPiDlg.ui
   ui/polChemDefWnd.ui
@@ -204,6 +199,10 @@
 ########################################################
 # Build
 
+IF (CMAKE_BUILD_TYPE STREQUAL "debug")
+  ADD_DEFINITIONS (-g -O0)
+ENDIF ()
+
 QT4_WRAP_CPP (massxpert_MOC_SRCS  ${massxpert_MOC_HDRS})
 
 QT4_WRAP_UI (massxpert_UIS_H ${massxpert_UIS})
@@ -280,10 +279,10 @@
 
   
 TARGET_LINK_LIBRARIES (${PROGNAME}
+  ${MASSLIB}
   ${QT_LIBRARIES}
   ${QT_QTXML_LIBRARIES}
   ${QT_QTSVG_LIBRARIES}
-  ${MASSLIB}
   )
 
 IF (APPLE)
