=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,8 @@
   ionizable.cpp
   ionizeRule.cpp
   isotope.cpp
+  isotopicCurve.cpp
+  isotopicPatternCalculator.cpp
   isotopicPeak.cpp
   massList.cpp
   modif.cpp
@@ -63,6 +65,7 @@
   chemEntVignette.hpp
   chemEntVignetteRenderer.hpp
   crossLinkList.hpp
+  isotopicPatternCalculator.hpp
   oligomerList.hpp
   polymer.hpp
   )
@@ -70,6 +73,10 @@
 
 ########################################################
 # Build
+
+IF (CMAKE_BUILD_TYPE STREQUAL "debug")
+  ADD_DEFINITIONS (-g -O0)
+ENDIF ()
 
 QT4_WRAP_CPP (masslib_MOC_SRCS  ${masslib_MOC_HDRS})
